
package de.ivu.elect.presentation.gebietsbaum.exchange;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.boundary.GebietsgruppierungImporter;
import de.ivu.elect.business.gebietsbaum.control.GebietsgruppierungImportContext;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractImportFormatFestlegenView;
import de.ivu.elect.presentation.exchange.ImportDescription;

@Named(GebietsgruppierungImportFormatFestlegenView.COMPONENT_NAME)
@View(viewId = GebietsgruppierungImportFormatFestlegenView.VIEW_ID, useCase = UseCasePermission.GEBIETSGRUPPIERUNG_IMPORTIEREN)
public class GebietsgruppierungImportFormatFestlegenView extends AbstractImportFormatFestlegenView<GebietsgruppierungImportContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsgruppierungImportFormatFestlegenView";

  public static final String VIEW_ID = "/gebietsbaum/gebietsgruppierung-import-format-festlegen.xhtml";

  @Inject
  private GebietsgruppierungImportDescription importDescription;

  @Inject
  private GebietsgruppierungImporter importer;

  public GebietsgruppierungImportFormatFestlegenView() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected GebietsgruppierungImporter getImporter() {
    return importer;
  }

  @Override
  protected GebietsgruppierungImportContext getContext() {
    if (isWahlSelected()) {
      return new GebietsgruppierungImportContext(getSelectedWahl());
    }

    return new GebietsgruppierungImportContext(getSelectedWahltermin());
  }
}
